SuSE9 Security Update : rsync (YOU Patch Number 12038)

Critical Nessus Plugin ID 41181


The remote SuSE 9 host is missing a security-related patch.


This update fixes a bug in rsync that allowed remote attackers to access restricted files outside a module's hierarchy if no chroot setup was used. (CVE-2007-6199) Please read entry from November 28th, 2007 to get more information about a secure configuration of rsync that also covers the bug tracked with CVE-2007-6200.

This update also fixes some crashes that only affect rsync-2.6.8 on SLES10.

This is a reissue of another post-SP4 rsync update.


Apply YOU patch number 12038.

See Also

Plugin Details

Severity: Critical

ID: 41181

File Name: suse9_12038.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2007/12/21

Reference Information

CVE: CVE-2007-6199, CVE-2007-6200

CWE: 16, 264